Upstream information

CVE-2016-2849 at MITRE

Description

Botan before 1.10.13 and 1.11.x before 1.11.29 do not use a constant-time algorithm to perform a modular inverse on the signature nonce k, which might allow remote attackers to obtain ECDSA secret keys via a timing side-channel attack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 1.9
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Local
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 977420 [RESOLVED], 977421 [RESOLVED / INVALID]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 12 SP1
  • Botan >= 1.10.9-3.1
  • libbotan-1_10-0 >= 1.10.9-3.1
  • libbotan-devel >= 1.10.9-3.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-723
SUSE Linux Enterprise Software Development Kit 12 SP2
  • Botan >= 1.10.9-3.1
  • libbotan-1_10-0 >= 1.10.9-3.1
  • libbotan-devel >= 1.10.9-3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-723
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libbotan-1_10-0 >= 1.10.9-3.1
  • libbotan-devel >= 1.10.9-3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libbotan-1_10-0
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libbotan-1_10-0 >= 1.10.9-4.3.1
  • libbotan-devel >= 1.10.9-4.3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libbotan-1_10-0
openSUSE Tumbleweed
  • libbotan-1_10-1 >= 1.10.13-1.1
  • libbotan-1_10-1-32bit >= 1.10.13-1.1
  • libbotan-devel >= 1.10.13-1.1
  • libbotan-devel-32bit >= 1.10.13-1.1
Patchnames:
openSUSE Tumbleweed GA libbotan-1_10-1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 Botan Not affected
SUSE Linux Enterprise SDK 12 GA Botan Affected
SUSE Linux Enterprise SDK 12 SP1 Botan Released
SUSE Linux Enterprise SDK 12 SP2 Botan Released
SUSE Linux Enterprise SDK 12 SP3 Botan Affected